##########################
## Section 2: Exercises ##
##########################

library("exams")
set.seed(1090)
tstat_sol <- exams("tstat.Rnw")
tstat_sol


##############################################
## Section 3: Application and customization ##
##############################################

## exam = list of exercises
myexam <- list("boxplots",
               c("confint", "ttest", "tstat"),
               c("anova", "regression"),
               "scatterplot",
               "relfreq")

## output directory
odir <- tempfile()

## ID generator function
getID <- function(i) 
  paste("myexam", gsub(" ", "0", format(i, width = 2)), sep = "")
getID(1)

## generate exams
set.seed(1090)
sol <- exams(myexam, n = 5, dir = odir, template = c("exam", "solution"), 
  header = list(ID = getID, Date = Sys.Date()))

## generated files
list.files(odir)

## meta-information
print(sol, 1)
print(sol, "exam5")

## customize printed meta-information
mycontrol <- list(mchoice.print = list(True = LETTERS[1:5], False = "_"))
(exams(myexam, n = 1, template = "exam", control = mycontrol))
